#ifndef _VH7PC_H_
#define _VH7PC_H_

/* CMDU uses big endian order: 0x_buf[0]_buf[1]_buf[2]_buf[3] */
#define CMDU			0xb8020000

#define CMD_POWEROFF		(CMDU | 0x0680) // allmode
#define CMD_POWERON		(CMDU | 0x0681) // allmode

#define CMD_INPUT_TUNER		(CMDU | 0x0091) // allmode
#define CMD_INPUT_CD		(CMDU | 0x0092) // allmode
#define CMD_INPUT_MD		(CMDU | 0x01d2) // allmode
#define CMD_INPUT_TAPEAUX	(CMDU | 0x0095) // allmode
#define CMD_INPUT_PCUSB		(CMDU | 0x0093) // allmode

#define CMD_VOLUME		(CMDU | 0x4d00) // allmode: cancel-mute, volume| 0x00..0x50
#define CMD_MUTE		(CMDU | 0x009c)	// toggle, lost-by-volume
#define CMD_NB	 		(CMDU | 0x014b) // toggle-nb1-nb2-normal

#define CMD_INPUT_NEXT		(CMDU | 0x01c1)	// MD/TAPE INPUT NEXT
#define CMD_INPUT_PREV		(CMDU | 0x01c0)	// MD/TAPE INPUT PREV

//00c[012345678ad] -> none?
#define CMD_CD_STOP		(CMDU | 0x00c9) // CD mode: CD stop.
#define CMD_CD_PLAY		(CMDU | 0x00cb) // Allmode: move CD mode then play CD, cancel ff/fb, toggle PAUSE<->PLAY
#define CMD_CD_REPEAT		(CMDU | 0x00cc) // CD mode: toggle rep->repall->normal
#define CMD_CD_CH_PREV		(CMDU | 0x00ce) // CD mode: cd track -1 prev (random mode: restart playing current track)
#define CMD_CD_CH_NEXT		(CMDU | 0x00cf) // CD mode: cd track +1 next (random mode: reselect random track)
#define CMD_CD_EJECT		(CMDU | 0x018d)	// allmode: CD eject
#define CMD_CD_RANDOM		(CMDU | 0x01d4) // CD mode: toggle random<->normal
#define CMD_CD_CH_SET		(CMDU | 0x4400) // CD mode: set track 001..159? (unknown upper) (invalid track -> ignored)
#define CMD_CD_FF		(CMDU | 0x0007) // CD mode: ff
#define CMD_CD_FB		(CMDU | 0x0006) // CD mode: fb

#define CMD_TUNER_BAND		(CMDU | 0x008f) // allmode: move tuner mode then toggle AM<->FM
#define CMD_TUNER_AUTOMONO	(CMDU | 0x0118) // TUNERmode: toggle AUTO<->MONO.
#define CMD_TUNER_CH_NEXT	(CMDU | 0x0107) // allmode: tuner channel +1 next
#define CMD_TUNER_CH_PREV	(CMDU | 0x0106) // allmode: tuner channel -1 prev
#define CMD_TUNER_CH_SET	(CMDU | 0x4c00) // TUNERmode: chset|01..40

#define CMD_MD_PLAY		(CMDU | 0x01d8) // MD mode:
#define CMD_MD_STOP		(CMDU | 0x01d9) // MD mode: 
#define CMD_MD_PAUSE		(CMDU | 0x01da) // MD mode: 
#define CMD_MD_RECORD		(CMDU | 0x01db) // MD mode: 
#define CMD_MD_OTE		(CMDU | 0x0040) // MD mode: 
#define CMD_MD_SK_NEXT		(CMDU | 0x01dd) // MD mode: 
#define CMD_MD_SK_PREV		(CMDU | 0x01dc) // MD mode: 
#define CMD_MD_CH_SET		(CMDU | 0x4500) // MD mode: 
#define CMD_MD_FF		(CMDU | 0x01df) // MD mode: 
#define CMD_MD_FB		(CMDU | 0x01de) // MD mode: 
#define CMD_MD_ALLE		(CMDU | 0x06d9) // MD mode: 
#define CMD_MD_TRACKE		(CMDU | 0x06da) // MD mode: 
#define CMD_MD_DIVIDE		(CMDU | 0x06db) // MD mode: 
#define CMD_MD_COMBINE		(CMDU | 0x06dc) // MD mode: 
#define CMD_MD_REPEAT		(CMDU | 0x02cf) // MD mode: 
#define CMD_MD_RANDOM		(CMDU | 0x0342) // MD mode: 
#define CMD_MD_EJECT		(CMDU | 0x0340) // MD mode: 

#define CMD_TAPE_REV		(CMDU | 0x00d8) // tapemode: 
#define CMD_TAPE_FWD		(CMDU | 0x00d9) // tapemode: 
#define CMD_TAPE_FB		(CMDU | 0x00da) // tapemode: 
#define CMD_TAPE_FF		(CMDU | 0x00db) // tapemode: 
#define CMD_TAPE_STOP		(CMDU | 0x00dd) // tapemode: 
#define CMD_TAPE_CONTINUE	(CMDU | 0x06df) // tapemode: 
#define CMD_TAPE_STS_REQ	(CMDU | 0x06de) // tapemode: 

#endif /* _VH7PC_H_ */
